Bug 478014 - MIGRATED_FROM_JIRA: Improvements for JNDI connection dialog box
MIGRATED_FROM_JIRA: Improvements for JNDI connection dialog box
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:50 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 02:50:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:50:55 EST
Current problem:

When creating a new JNDI connection, user has to enter the full JNDI URL such as ldap://ldap.safehaus.org/dc=vergenet,dc=com. This is rather inconvenient and may introduce errors.

Proposed solution:

As with other LDAP clients, the above URL can be entered in separate fields:

 - Hostname: ldap.safehaus.org

 - SSL checkbox: unchecked means "ldap", checked means "ldaps"

 - Suffix: dc=vergenet,dc=com
   You could add a button or a dropdown box to display the suffixes supported
   by the server. This can be done by querying the Root DSE of the server.

Note, see the old mapping tool for reference.
Additional Comments From adison dated Wed Apr 20 14:18:57 CDT 2005 
LDAP connection properties improved. The Url field is made uneditable. Added protocol (drop down select: ldap, ldaps), hostname, port, and baseDN.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'endisd',
          'key' => 'PENROSE-4',
          'assignee' => 'adison',
          'summary' => 'Improvements for JNDI connection dialog box',
          'id' => '10065',
          'updated' => '2005-07-26 10:19:11.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-06-03 00:00:00.0',
                             'sequence' => '1',
                             'name' => 'Penrose-0.9.1',
                             'released' => 'true',
                             'id' => '10004',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Current problem:

When creating a new JNDI connection, user has to enter the full JNDI URL such as ldap://ldap.safehaus.org/dc=vergenet,dc=com. This is rather inconvenient and may introduce errors.

Proposed solution:

As with other LDAP clients, the above URL can be entered in separate fields:

 - Hostname: ldap.safehaus.org

 - SSL checkbox: unchecked means "ldap", checked means "ldaps"

 - Suffix: dc=vergenet,dc=com
   You could add a button or a dropdown box to display the suffixes supported
   by the server. This can be done by querying the Root DSE of the server.

Note, see the old mapping tool for reference.',
          'created' => '2005-04-14 00:16:41.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:50:57 EST
Closing bug as it was already closed in Jira - PENROSE-4

Note You need to log in before you can comment on or make changes to this bug.